Page MenuHomePhabricator

errors: remove trailing "!" from some error messages for consistency
ClosedPublic

Authored by martinvonz on Nov 23 2020, 6:30 PM.

Details

Summary

Some types of exceptions had a trailing "!" printed after the message
from the exception itself. I guess some of these errors seem a little
more severe (?), but it seems more likely that the inconsistency was
just an oversight.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

martinvonz created this revision.Nov 23 2020, 6:30 PM
Alphare accepted this revision.Nov 24 2020, 5:56 AM
mharbison72 accepted this revision.Nov 25 2020, 1:11 AM
mharbison72 added a subscriber: mharbison72.
mharbison72 added inline comments.
tests/test-convert-filemap.t
294–296

Fixed the dropped conditional, and the test case that wasn't run.

There were a couple other cases like this (and I'm guessing a few stragglers in tests that weren't run). Rather than find them and mark them, I'm just going to push this because I think phab generates one last diff when pushed, and then the interdiff should reveal the others.

This revision is now accepted and ready to land.Nov 25 2020, 1:11 AM